BigramKey Class Reference

`#include <ARPAPredictor.h>`

Collaboration diagram for BigramKey:

## Public Member Functions

| BigramKey (int wd1, int wd2)
bool | operator< (const BigramKey &right) const
bool | operator== (const TrigramKey &right) const

## Public Attributes

int | key1
int | key2

## Detailed Description

Definition at line 84 of file ARPAPredictor.h.

## Constructor & Destructor Documentation

## BigramKey()

BigramKey::BigramKey | ( | int | wd1,
|  | int | wd2
| ) |  |

inline

Definition at line 87 of file ARPAPredictor.h.

## Member Function Documentation

## operator<()

bool BigramKey::operator< | ( | const BigramKey & | right | ) | const

inline

Definition at line 89 of file ARPAPredictor.h.

References key1, and key2.

## operator==()

bool BigramKey::operator== | ( | const TrigramKey & | right | ) | const

inline

Definition at line 101 of file ARPAPredictor.h.

References TrigramKey::key1, key1, TrigramKey::key2, and key2.

## Member Data Documentation

## key1

int BigramKey::key1

Definition at line 105 of file ARPAPredictor.h.

Referenced by operator<(), and operator==().

## key2

int BigramKey::key2

Definition at line 106 of file ARPAPredictor.h.

Referenced by operator<(), and operator==().

The documentation for this class was generated from the following file:

- /build/presage-F72hLE/presage-0.9.1/src/lib/predictors/ARPAPredictor.h